Skip to main content
PUT
Activate challenge

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Headers

memberId
string
required

Path Parameters

id
string
required

Response

OK

hideInList
boolean
required

Configuration to make the challenge card invisible.

isActive
boolean

Specifies if the card can accumulate progress. True after manual activation, or automatically for preactivated challenges.

currentProgress
number<double>

Progress accumulated for the specific instance of challenge. Can be integer when calculation types are ProductCount and StoreVisit, or a float value otherwise.

cardsActivatedCount
integer<int32>

Amount of cards that user has activated in the given challenge. Includes current card, if it was activated.

closedAt
string<date-time> | null

Populated only if the card was already completed. Such cards no longer accumulate progress, so user can see what they already completed. Closed cards are returned until their challenge expires.

cardId
string | null

Id of the specific card. If challenge is renewable, this id will be different on each of the cards, while ActivityId will be the same. Will be null, if card is not activated.

currentTier
integer<int32> | null

The highest tier reached on this card. Null for non-tiered challenges or when no tier has been reached yet.

cardDetails
object
Last modified on August 10, 2026